#!/bin/ksh
export ECLIPSE_HOME=/usr/pkg/eclipse3.1.2
export VVM=/usr/pkg/java/jdk-1.4.2/bin/java

export LD_LIBRARY_PATH=/usr/pkg/lib:/usr/X11R6/lib

#export CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/plugins/org.eclipse.xsd.ecore.importer_2.2.0.jar:${ECLIPSE_HOME}/plugins/org.eclipse.emf.ant_2.1.0.jar
unset CLASSPATH

# You need to set the ECLIPSE_DIR variable below.  It should point to your eclipse directory.
export ECLIPSE_DIR=${ECLIPSE_HOME}

# Model project
export MAIN_DIR=.

# The directory indicated by the -modelProject argument should be neither a parent nor a child directory of the workspace.
export WORKSPACE=/usr/pkgsrc/Eclipse3.2M4-EMF/library/.work/.workspace
mkdir -p ${WORKSPACE}

rm -r /library
ln -s /usr/pkgsrc/Eclipse3.2M4-EMF/library/.work/library /library

# Generator application
cd ${ECLIPSE_HOME}; java -classpath startup.jar \
	-Djava.endorsed.dirs=plugins/org.apache.xerces_2.7.0 \
	org.eclipse.core.launcher.Main -clean -data ${WORKSPACE} \
	-application org.eclipse.emf.codegen.ecore.Generator \
	-model /usr/pkgsrc/Eclipse3.2M4-EMF/library/.work/library/emf/library.genmodel ../../../../../../library

rm -r ${WORKSPACE}

rm -r /library

# correction
CORR_FILE=/usr/pkgsrc/Eclipse3.2M4-EMF/library/.work/library/emf/library.genmodel
cp ${CORR_FILE} ${CORR_FILE}.BK
sed -e "s|/library/./src/.|/library/src|" < ${CORR_FILE}.BK > ${CORR_FILE}
#sed -e "s|/usr/pkgsrc/Eclipse3.1.2-EMF/.work/library/./src/.|/library/src|" < ${CORR_FILE}.BK > ${CORR_FILE}
# correction
CORR_FILE=/usr/pkgsrc/Eclipse3.2M4-EMF/.workspace/.metadata/.plugins/org.eclipse.core.resources/.projects/library/.location
cp ${CORR_FILE} ${CORR_FILE}.BK
sed -e "s|/library|)URI//file:/usr/pkgsrc/Eclipse3.2M4-EMF/library/.work/library|" < ${CORR_FILE}.BK > ${CORR_FILE}
	
	
exit 0
