#!/bin/ksh
if [ "$1" != "" ]; then
# You need to set the ECLIPSE_DIR variable below.  It should point to your eclipse directory.
export ECLIPSE_HOME=/usr/pkg/eclipse3.1.2

export VVM=/usr/pkg/java/jdk-1.4.2/bin/java
export LD_LIBRARY_PATH=/usr/pkg/lib:/usr/X11R6/lib
#export CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/plugins/org.eclipse.xsd.ecore.importer_2.2.0.jar:${ECLIPSE_HOME}/plugins/org.eclipse.emf.ant_2.1.0.jar
unset CLASSPATH

export PROJECT_NAME=$1
export PROJECT=$2
export MODEL=${PROJECT}/emf/${PROJECT_NAME}.genmodel

# Model project
export MAIN_DIR=.

# The directory indicated by the -modelProject argument should be neither a parent nor a child directory of the workspace.
export WORKSPACE=$3
#mkdir -p ${WORKSPACE}

rm -r /${PROJECT_NAME}
ln -s ${PROJECT} /${PROJECT_NAME}

# Generator application
cd ${ECLIPSE_HOME}; java -classpath startup.jar \
	-Djava.endorsed.dirs=plugins/org.apache.xerces_2.7.0 \
	org.eclipse.core.launcher.Main -clean -data ${WORKSPACE} \
	-application org.eclipse.emf.codegen.ecore.Generator \
	-model ${MODEL} \
	-modelProject ../../../../../../${PROJECT_NAME} \
	-editProject ../../../../../../${PROJECT_NAME}.edit \
	-editorProject ../../../../../../${PROJECT_NAME}.editor

rm -r ${WORKSPACE}

rm -r /${PROJECT_NAME}

# correction
CORR_FILE=${MODEL}
cp ${CORR_FILE} ${CORR_FILE}.BK
sed -e "s|/${PROJECT_NAME}/./src/.|/${PROJECT_NAME}/src|" < ${CORR_FILE}.BK > ${CORR_FILE}
rm ${CORR_FILE}.BK
# correction
#CORR_FILE=/usr/pkgsrc/Eclipse3.1.2-EMF/.workspace/.metadata/.plugins/org.eclipse.core.resources/.projects/${PROJECT_NAME}/.location
#cp ${CORR_FILE} ${CORR_FILE}.BK
#sed -e "s|/library|)URI//file:/usr/pkgsrc/Eclipse3.1.2-EMF/library/.work/eclipse/library|" < ${CORR_FILE}.BK > ${CORR_FILE}
#rm ${CORR_FILE}.BK
	
exit 0
else
    echo "Positional parameter 1 is empty; not removing directory root ;)"
fi
