#!/bin/ksh
# You need to set the ECLIPSE_DIR variable below.  It should point to your eclipse directory.
export ECLIPSE_HOME=/usr/pkg/eclipse3.1.2

export VVM=/usr/pkg/java/jdk-1.4.2/bin/java
export LD_LIBRARY_PATH=/usr/pkg/lib:/usr/X11R6/lib
export CLASSPATH=${CLASSPATH}:${ECLIPSE_HOME}/plugins:${ECLIPSE_HOME}/plugins/org.eclipse.xsd.ecore.importer_2.1.0.jar:${ECLIPSE_HOME}/plugins/org.eclipse.emf.ant_2.1.0.jar
#unset CLASSPATH

export PROJECT_NAME=$1
export PROJECT=$2
export MODEL=${PROJECT}/emf/${PROJECT_NAME}.genmodel

# Model project
export MAIN_DIR=../${PROJECT_NAME}

# The directory indicated by the -modelProject argument should be neither a parent nor a child directory of the workspace.
export WORKSPACE=$3
rm -r ${WORKSPACE}
mkdir -p ${WORKSPACE}

cd ${ECLIPSE_HOME}; java -classpath startup.jar \
	-Djava.endorsed.dirs=plugins/org.apache.xerces_2.7.0 \
	org.eclipse.core.launcher.Main -clean -data ${WORKSPACE} \
	-application org.eclipse.xsd.ecore.importer.XSD2GenModel \
	${PROJECT}/model/${PROJECT_NAME}.xsd \
	${MODEL} \
	-modelProject ../../../../../../${PROJECT_NAME} src \
	-editProject ../../../../../../${PROJECT_NAME}.edit src \
	-editorProject ../../../../../../${PROJECT_NAME}.editor src

exit 0
