import java.io.IOException;
import java.util.Collection;

import javax.jdo.Extent;
import javax.jdo.PersistenceManager;
import javax.jdo.Query;
import javax.jdo.Transaction;

import org.eclipse.example.library.Book;
import org.eclipse.example.library.BookCategory;
import org.eclipse.example.library.Library;
import org.eclipse.example.library.LibraryFactory;
import org.eclipse.example.library.Writer;
import org.eclipse.example.library.impl.LibraryImpl;

import org.eclipse.example.library.db.PM;
import org.eclipse.example.library.db.bookCategoryEnum;

public class InitBookCategory {

	/** 
	 * @param args
	 */
	public static void main(String[] args) throws IOException {
		
       	PersistenceManager pm = PM.createPersistenceManager();
    	Transaction tx = pm.currentTransaction(); 
 
    	tx.begin();
    	
 	    Extent e = pm.getExtent(LibraryImpl.class, true);
	    Query q = pm.newQuery(e);

	    // there is only one library
	    Collection c = (Collection)q.execute();
	    Library lib = (Library)c.iterator().next();
	    
	    // Now add a new writer and book
	    BookCategory bookcategory = LibraryFactory.eINSTANCE.createBookCategory();
	    
	    Writer dummy = LibraryFactory.eINSTANCE.createWriter();
	    dummy.setName("");
	    
	    // create a new book and set the writer and library
        Book dummyBook = LibraryFactory.eINSTANCE.createBook();
    	
        dummyBook.setCategory(bookCategoryEnum.create(pm, "Mystery"));
        // georgesBook.setCategory(bookCategoryEnum.create(pm, "ScienceFiction"));
        // georgesBook.setCategory(bookCategoryEnum.create(pm, "Biography"));
        dummyBook.setAuthor(dummy);

        lib.getBooks().add(dummyBook);
        lib.getWriters().add(dummy);
        lib.getWriters().remove(dummy);
      
        // and close of
	    tx.commit();
	    pm.close();
	}
}
