import java.io.IOException;
import java.util.Collection;

import javax.jdo.PersistenceManager;
import javax.jdo.Query;
import javax.jdo.Transaction;

import org.eclipse.example.library.BookCategory;
import org.eclipse.example.library.Library;

import org.eclipse.example.library.db.PM;

public class QuerieBookCategory {

	/** 
	 * @param args
	 */
	public static void main(String[] args) throws IOException
	{
		
    	// At this position you can add your own specific types for jpox
    	// This should be done before creating the persistence manager factory, e.g.
    	//TypeManager.getTypeManager().addType(MyNiceType.class.getName(), MyNiceTypeMapping.class, MyNiceTypeWrapper.class);
    	
    	// Now create and register a PersistenceManagerFactory
		// Now create a persistence manager and a transaction
    	PersistenceManager pm = PM.createPersistenceManager();
    	Transaction tx = pm.currentTransaction(); 
     	
	    tx.begin();

	    // retrieve all books
	    Query qry = pm.newQuery("SELECT FROM org.eclipse.example.library.impl.BookCategoryImpl");
	    Collection coll = (Collection)qry.execute();
	    System.out.println(((BookCategory)coll.iterator().next()).getName()); // show a bookcategory

	    // retrieve a book which has a writer with the name of G. Orwell 
	    qry = pm.newQuery("SELECT FROM org.eclipse.example.library.impl.BookCategoryImpl WHERE name==\"Science Fiction\"");
	    coll = (Collection)qry.execute();
	    System.out.println(coll.size()); // should be 1
	    BookCategory bkc1 = (BookCategory)coll.iterator().next();
	    System.out.println(bkc1.getName()); //should be Science Fiction
	    
    	// read the library with a name ending on Library
	    qry = pm.newQuery("SELECT FROM org.eclipse.example.library.impl.BookCategoryImpl WHERE name.endsWith(\"Science Fiction\")");
	    coll = (Collection)qry.execute();
	    BookCategory bkc2 = (BookCategory)coll.iterator().next();
	    System.out.println(bkc2.getName());
	    tx.commit(); 
	    pm.close();
	}
}
