import java.io.IOException;
import java.util.Collection;

import javax.jdo.PersistenceManager;
import javax.jdo.Query;
import javax.jdo.Transaction;

import org.eclipse.example.library.Book;
import org.eclipse.example.library.Library;

import org.eclipse.example.library.db.PM;

public class Queries {

	/** 
	 * @param args
	 */
	public static void main(String[] args) throws IOException
	{
		
    	// At this position you can add your own specific types for jpox
    	// This should be done before creating the persistence manager factory, e.g.
    	//TypeManager.getTypeManager().addType(MyNiceType.class.getName(), MyNiceTypeMapping.class, MyNiceTypeWrapper.class);
    	
    	// Now create and register a PersistenceManagerFactory
		// Now create a persistence manager and a transaction
    	PersistenceManager pm = PM.createPersistenceManager();
    	Transaction tx = pm.currentTransaction(); 
     	
	    tx.begin();

	    // retrieve all books
	    Query qry = pm.newQuery("SELECT FROM org.eclipse.example.library.impl.BookImpl");
	    Collection coll = (Collection)qry.execute();
	    System.out.println(((Book)coll.iterator().next()).getTitle()); // show a title
	    System.out.println(((Book)coll.iterator().next()).getTitle()); // show a title

	    // retrieve a book which has a writer with the name of G. Orwell 
	    qry = pm.newQuery("SELECT FROM org.eclipse.example.library.impl.BookImpl WHERE " +
	    		" title==\"1984\" && author == writ && writ.name == \"G. Orwell\" " + 
	    		"VARIABLES org.eclipse.example.library.impl.WriterImpl writ");
	    coll = (Collection)qry.execute();
	    System.out.println(coll.size()); // should be 1
	    Book bk = (Book)coll.iterator().next();
	    System.out.println(bk.getTitle()); //should be 1984
    	System.out.println(bk.getAuthor().getName()); //should be G. Orwell
	    
    	// read the library with a name ending on Library
	    qry = pm.newQuery("SELECT FROM org.eclipse.example.library.impl.LibraryImpl WHERE name.endsWith(\"Library\")");
	    coll = (Collection)qry.execute();
	    Library lib = (Library)coll.iterator().next();
	    System.out.println(lib.getName());
	    tx.commit(); 
	    pm.close();
	}
}
