package org.eclipse.example.library.db;


import java.io.IOException; 
import java.io.InputStream; 
import java.io.FileNotFoundException; 
import java.util.Properties;

import javax.jdo.PersistenceManager;
import javax.jdo.PersistenceManagerFactory;

import org.eclipse.emf.ecore.EPackage;
import org.eclipse.example.library.LibraryPackage;
import org.elver.store.jpox.emf.JPOXHelper;

public class PM {
	
    public static Properties loadProperties()
        throws IOException
    {
        Properties properties = new Properties();

        InputStream is=PM.class.getClassLoader().getResourceAsStream("jpox.properties");
        if (is == null)
        {
            throw new FileNotFoundException("Could not find jpox.properties file that defines the JPOX persistence setup.");
        }
        properties.load(is);
        return properties;
	}
    	
        /**
         * Utility method to create a PersistenceManager
         * @return The PersistenceManager 
         **/
    public static PersistenceManager createPersistenceManager()
		throws IOException
        {
    	   	String pmfName = "MyPMF"; // the name of the persistence manager factory
     
		EPackage[] ePackages = new EPackage[1];
		ePackages[0] = LibraryPackage.eINSTANCE;
        PersistenceManagerFactory pmfactory = JPOXHelper.INSTANCE.createRegisterPersistenceManagerFactory(pmfName, ePackages, loadProperties());
        PersistenceManager pm = pmfactory.getPersistenceManager();

        return pm;
    }
	public static PersistenceManager getPM()
	{
	   	String pmfName = "MyPMF"; // the name of the persistence manager factory
 
	   	String dbDriver = "org.apache.derby.jdbc.ClientDriver"; // the database driver
        String dbName = "library"; // the name of the database, this database should exist (can be empty)
        String dbUrl = "jdbc:derby://127.0.0.1:1527/" + dbName; //for mysql the databasename is attached to the dburl
        String dbUser = "user"; // the database user
        String dbPwd = "pass"; // the database password of this user.
		
        PersistenceManagerFactory pmfactory = JPOXHelper.INSTANCE.createRegisterPersistenceManagerFactory(
     			pmfName, LibraryPackage.eINSTANCE, dbDriver, dbUrl, dbUser, dbPwd, dbName);
       	 
		return pmfactory.getPersistenceManager();
	}
}
