package com.softtechdesign.math;
/**
* MathLib declares native math routines to get around the slow StrictMath math
* routines in JDK 1.4x
* @author Jeff S Smith
*/
public class MathLib
{
    public static native double sin(double radians);
    public static native double cos(double radians);
    public static native double sqrt(double value);

    static
    {
        System.loadLibrary("MathLib");
    }
    
    public static void main(String[] args)
    {
        System.out.println("MathLib benchmark..." + new java.util.Date());
        double d = 0.5;
        for (int i=0; i < 10000000; i++)
        {
            d = (d * i) / 3.1415926;
            d = MathLib.sin(d);
            d = MathLib.cos(d);
            d = MathLib.sqrt(d) * 3.1415926;
        }
        
        System.out.println("Benchmark done. Time is " + new java.util.Date());
    }
}
